Commit 317e1726 authored by Chris Forbes's avatar Chris Forbes

i965: enable ARB_texture_query_levels on Gen6+

Theoretically would work on Gen5 as well but requires GLSL 1.30, which
is not (yet) enabled by default there.

V2: Enable for Gen5 conditionally on GLSL version.
Signed-off-by: default avatarChris Forbes <chrisf@ijw.co.nz>
Reviewed-by: default avatarMatt Turner <mattst88@gmail.com>
parent 4be21a07
......@@ -158,6 +158,7 @@ intelInitExtensions(struct gl_context *ctx)
ctx->Extensions.ARB_texture_query_lod = true;
ctx->Extensions.EXT_timer_query = true;
ctx->Extensions.EXT_shader_integer_mix = ctx->Const.GLSLVersion >= 130;
ctx->Extensions.ARB_texture_query_levels = ctx->Const.GLSLVersion >= 130;
}
if (brw->gen == 5)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment